/***************************************************************
 * Name:      flexgridsizer.h
 * Purpose:   Defines Dialog flexGridSizer
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-04-10
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef FLEXGRIDSIZER_H
#define FLEXGRIDSIZER_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/button.h>
#include <wx/sizer.h>

class flexGridSizer: public wxDialog
{
    public:
        flexGridSizer(wxDialog *dlg);
        ~flexGridSizer();

    private:
        wxFlexGridSizer *sizer;
        int random(int rango);
        void OnClose(wxCloseEvent& event);
        void OnOk(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};

#endif // FLEXGRIDSIZER_H

