/***************************************************************
 * Name:      gridbagsizer.h
 * Purpose:   Defines Dialog gridBagSizer
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-04-10
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef GRIDBAGSIZER_H
#define GRIDBAGSIZER_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/button.h>
#include <wx/gbsizer.h>

class gridBagSizer: public wxDialog
{
    public:
        gridBagSizer(wxDialog *dlg);
        ~gridBagSizer();

    private:
        void OnClose(wxCloseEvent& event);
        void OnOk(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};

#endif // GRIDBAGSIZER_H

