/***************************************************************
 * Name:      gridsizer.h
 * Purpose:   Defines Dialog gridSizer
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-04-10
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef GRIDSIZER_H
#define GRIDSIZER_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/button.h>
#include <wx/sizer.h>

class gridSizer: public wxDialog
{
    public:
        gridSizer(wxDialog *dlg);
        ~gridSizer();

    private:
        int random(int rango);
        void OnClose(wxCloseEvent& event);
        void OnOk(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};

#endif // GRIDSIZER_H
