/***************************************************************
 * Name:      wrapSizer.h
 * Purpose:   Defines Dialog wrapSizer
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-04-10
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef WRAPSIZER_H
#define WRAPSIZER_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/button.h>
#include <wx/sizer.h>
#include <wx/wrapsizer.h>

class wrapSizer: public wxDialog
{
    public:
        wrapSizer(wxDialog *dlg);
        ~wrapSizer();

    private:
        void OnClose(wxCloseEvent& event);
        void OnOk(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};

#endif // WRAPSIZER_H
