/***************************************************************
 * Name:      stdDialogButtonSizer.h
 * Purpose:   Defines Dialog boxSizer
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-04-10
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef STDDIALOGBUTTONSIZER_H
#define STDDIALOGBUTTONSIZER_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/button.h>
#include <wx/sizer.h>

class stdDialogButtonSizer: public wxDialog
{
    public:
        stdDialogButtonSizer(wxDialog *dlg);
        ~stdDialogButtonSizer();

    private:
        void OnClose(wxCloseEvent& event);
        void OnOk(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};

#endif // BOXSIZER_H

