/***************************************************************
 * Name:      wx004App.cpp
 * Purpose:   Code for Application Class
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-04-24
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "logo_peq.xpm"
#include "wx004App.h"
#include "wx004Main.h"

IMPLEMENT_APP(wx004App);

bool wx004App::OnInit()
{

    wx004Dialog* dlg = new wx004Dialog(0L, _("wxWidgets, ejemplo 4"));
    dlg->SetIcon(logo); // To Set App Icon
    dlg->Show();
    return true;
}
